Package org.eclipse.graphiti.mm.pictograms

## Interface PictogramsFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PictogramsFactoryImpl`

    public interface PictogramsFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `PictogramsPackage`

### Field Summary

Fields
`static PictogramsFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`BoxRelativeAnchor` `createBoxRelativeAnchor()` Returns a new object of class 'Box Relative Anchor'.
`ChopboxAnchor` `createChopboxAnchor()` Returns a new object of class 'Chopbox Anchor'.
`CompositeConnection` `createCompositeConnection()` Returns a new object of class 'Composite Connection'.
`Connection` `createConnection()` Returns a new object of class 'Connection'.
`ConnectionDecorator` `createConnectionDecorator()` Returns a new object of class 'Connection Decorator'.
`ContainerShape` `createContainerShape()` Returns a new object of class 'Container Shape'.
`CurvedConnection` `createCurvedConnection()` Returns a new object of class 'Curved Connection'.
`Diagram` `createDiagram()` Returns a new object of class 'Diagram'.
`FixPointAnchor` `createFixPointAnchor()` Returns a new object of class 'Fix Point Anchor'.
`FreeFormConnection` `createFreeFormConnection()` Returns a new object of class 'Free Form Connection'.
`ManhattanConnection` `createManhattanConnection()` Returns a new object of class 'Manhattan Connection'.
`PictogramLink` `createPictogramLink()` Returns a new object of class 'Pictogram Link'.
`Shape` `createShape()` Returns a new object of class 'Shape'.
`PictogramsPackage` `getPictogramsPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final PictogramsFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createShape

    Shape createShape()

Returns a new object of class 'Shape'.

Returns:
  a new object of class 'Shape'.

#### createContainerShape

    ContainerShape createContainerShape()

Returns a new object of class 'Container Shape'.

Returns:
  a new object of class 'Container Shape'.

#### createDiagram

    Diagram createDiagram()

Returns a new object of class 'Diagram'.

Returns:
  a new object of class 'Diagram'.

#### createConnection

    Connection createConnection()

Returns a new object of class 'Connection'.

Returns:
  a new object of class 'Connection'.

#### createFixPointAnchor

    FixPointAnchor createFixPointAnchor()

Returns a new object of class 'Fix Point Anchor'.

Returns:
  a new object of class 'Fix Point Anchor'.

#### createBoxRelativeAnchor

    BoxRelativeAnchor createBoxRelativeAnchor()

Returns a new object of class 'Box Relative Anchor'.

Returns:
  a new object of class 'Box Relative Anchor'.

#### createChopboxAnchor

    ChopboxAnchor createChopboxAnchor()

Returns a new object of class 'Chopbox Anchor'.

Returns:
  a new object of class 'Chopbox Anchor'.

#### createConnectionDecorator

    ConnectionDecorator createConnectionDecorator()

Returns a new object of class 'Connection Decorator'.

Returns:
  a new object of class 'Connection Decorator'.

#### createFreeFormConnection

    FreeFormConnection createFreeFormConnection()

Returns a new object of class 'Free Form Connection'.

Returns:
  a new object of class 'Free Form Connection'.

#### createManhattanConnection

    ManhattanConnection createManhattanConnection()

Returns a new object of class 'Manhattan Connection'.

Returns:
  a new object of class 'Manhattan Connection'.

#### createPictogramLink

    PictogramLink createPictogramLink()

Returns a new object of class 'Pictogram Link'.

Returns:
  a new object of class 'Pictogram Link'.

#### createCurvedConnection

    CurvedConnection createCurvedConnection()

Returns a new object of class 'Curved Connection'.

Returns:
  a new object of class 'Curved Connection'.
Since:
  0.9

#### createCompositeConnection

    CompositeConnection createCompositeConnection()

Returns a new object of class 'Composite Connection'.

Returns:
  a new object of class 'Composite Connection'.
Since:
  0.9

#### getPictogramsPackage

    PictogramsPackage getPictogramsPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.